<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsIconUrl.php';
$pageVersion	= '1.01xx 2012-10-08';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# 1.01  2012-06-10 release version
# 1.01a 2012-06-14 no backgroundphoto for cloudy1: "sun " changed to "sun"; also cloudy2 and 3 to sun / moon in $arrHeaderWeather
# 1.01e 2012-07-01 yahoo 3200 unknown inserted in yahoo array for offline metars
# 1.01x 2012-10-08 wd icon
#---------------------------------------------------------------------------
// 'clouds','cloudsn','mist','moon','pclouds','rain','snow','storm','sun','thunder'
$arrHeaderWeather = array (
'cloudy1_night' =>	'moon',		'cloudy1'		=>	'sun',		'cloudy2_night' =>	'moon',		'cloudy2'	=>	'sun',
'cloudy3' 		=>	'sun',		'cloudy3_night'	=>	'moon', 	'cloudy4' 		=>	'clouds',	'cloudy4_night'	=>	'clouds',
'cloudy5' 		=>	'clouds',	'dunno' 		=>	'dunno',
'fog' 			=>	'mist',		'fog_night'		=>	'mist',
'hail' 			=>	'snow',		'light_rain' 	=>	'rain',		'mist' 		=>	'mist',
'mist_night' 	=>	'mist',		'mist_night'	=>	'mist',		'overcast'		=>	'clouds',
'shower1_night' =>	'rain',		'shower1'		=>	'rain',		'shower2_night' =>	'rain',		'shower2'	=>	'rain',
'shower3'		=>	'rain',		'sleet'			=>	'snow',		'snow1_night'	=>	'snow',		'snow1'		=>	'snow',	
'snow2_night'	=>	'snow',		'snow2'			=>	'snow',		'snow3_night'	=>	'snow',		'snow3'		=>	'snow',
'snow4'			=>	'snow',		'snow5'			=>	'snow',		'sunny_night'	=>	'moon',		'sunny'		=>	'sun',
'tstorm1_night'	=>	'thunder',	'tstorm1'		=>	'thunder',	'tstorm2_night'	=>	'thunder',	'tstorm2'	=>	'thunder',
'tstorm3'		=>	'thunder',	'windy'			=>  'storm'
);
$arrLookupNoaa = array (
'bkn'	=>		'cloudy4', 		'nbkn'	=>		'cloudy4_night',	 'nbknfg'	=>		'fog_night',
'few'	=>		'cloudy1',		'nfew'	=>		'cloudy1_night',
'cloudy'=>		'cloudy4', 		'ncloudy'=>		'cloudy4_night',
'fg'	=>		'fog',			'nfg'	=>		'fog_night',
'hazy'	=>		'mist', 
'hi_tsra'	=>	'tstorm2',
'ip'	=>		'hail',
'mist'	=>		'mist',
'ovc'	=>		'cloudy5',		'novc'	=>		'overcast', 
'ra'	=>		'shower3',		'nra'	=>		'shower3',
'rasn'	=>		'snow3',		'nrasn'	=>		'snow3_night',
'ra1'		=>	'dunno',
'skc'	=>		'cloudy1', 		'nskc'	=>		'cloudy1_night', 
'sn'	=>		'snow1',		'nsn'	=>		'snow5',
'sct'	=>		'cloudy3',		'nsct'	=>		'cloudy3_night',
'sctfg'	=>		'cloudy3',
'scttsra'	=>	'tstorm1',
								'nsvrtsra'	=>	'dunno',
'tsra'		=>	'tstorm3',		'ntsra'	=>		'tstorm3',
'shra'	=>		'shower2',		'nshra'	=>		'shower2_night', 
'wind'		=>	'dunno', 
'windyrain' =>'dunno',
);
$arrLookupYA = array (
'0' =>	'dunno',	'1' =>	'dunno',		'2' =>	'dunno',		'3' =>	'tstorm3',		'4' =>	'tstorm2',
'5' =>	'sleet',	'6' =>	'sleet',		'7' =>	'sleet',		'8' =>	'sleet',		'9' =>	'shower1',
'10' =>	'sleet',	'11' =>	'shower2',		'12' =>	'shower3',		'13' =>	'sleet',		'14' =>	'snow1',
'15' =>	'snow1',	'16' =>	'snow',			'17' =>	'hail',			'18' =>	'sleet',		'19' =>	'dunno',
'20' =>	'fog',		'21' =>	'mist',			'22' =>	'smoky',		'23' =>	'dunno',		'24' =>	'dunno',
'25' =>	'dunno',	'26' =>	'cloudy5',		'27' =>	'cloudy4_night','28' =>	'cloudy4',		'29' =>	'cloudy3_night',
'30' =>	'cloudy3',	'31' =>	'sunny_night',	'32' =>	'sunny',		'33' =>	'cloudy1_night','34' =>	'cloudy1',
'35' =>	'sleet',	'36' =>	'dunno',		'37' =>	'tstorm2',		'38' =>	'tstorm1',		'39' =>	'shower2',
'40' =>	'shower2',	'41' =>	'snow4',		'42' =>	'snow1',		'43' =>	'snow4',		'44' =>	'cloudy3',
'45' =>	'tstorm3',	'46' =>	'snow4',		'47' =>	'tstorm3',		'3200'=> 'dunno'
);
$arrLookupHwa = array (
'0' =>	'dunno',		'1' =>	'sunny',		'2' =>	'cloudy3',		'3' =>	'sleet',		'4' =>	'shower2',
'5' =>	'shower1',		'6' =>	'sleet',		'7' =>	'tstorm1',		'8' =>	'sleet',		'9' =>	'tstorm2',
'10' =>	'sleet',		'11' =>	'cloudy5',		'12' =>	'sleet',		'13' =>	'shower3',		'14' =>	'shower2',
'15' =>	'sleet',		'16' =>	'sleet',		'17' =>	'tstorm1',		'18' =>	'tsorm2',		'19' =>	'tstorm2',
'20' =>	'tsorm1',		'21' =>	'shower3',		'22' =>	'mist',			
						'23' =>	'sunny_night',	'24' =>	'cloudy1_night','25' =>	'sleet',		'26' =>	'shower2_night',
'27' =>	'shower2_night','28' =>	'sleet',		'29' =>	'tstorm2_night','30' =>	'tstorm2_night','31' =>	'tstorm3',
'32' =>	'tstorm3',		'33' =>	'overcast',		'34' =>	'sleet',		'35' =>	'shower3',		'36' =>	'shower2',
'37' =>	'sleet',		'38' =>	'tstorm1',		'39' =>	'sleet',		'40' =>	'tstorm1',		'41' =>	'tstorm1',
'42' =>	'cloudy1',		'43' =>	'cloudy2',		'44' =>	'cloudy1_night','45' =>	'cloudy2_night','46' =>	'snow1',
'47' =>	'sleet',		'48' =>	'fog',			'49' =>	'fog_night',	'50' =>	'shower2',		'51' =>	'shower2_night',
'52' =>	'hail',			'53' =>	'hail',			'54' =>	'sleet',		'55' =>	'sleet',		'56' =>	'snow1',	
'57' =>	'snow1_night',	'58' =>	'sleet',		'59' =>	'windy',		'60' =>	'sleet'			
);
$arrLookupWorld = array (
'113' => 'sunny',	'116' => 'cloudy3',		'119' => 'cloudy4',		'122' => 'overcast',	'143' => 'mist',	'176' => 'shower1',		'179' => 'snow1',
'182' => 'sleet',	'185' => 'sleet',		'200' => 'tstorm1',		'227' => 'snow4',		'230' => 'dunno',	'248' => 'fog',			'260' => 'sleet',
'263' => 'shower1',	'266' => 'shower1',		'281' => 'sleet',		'284' => 'sleet',		'293' => 'shower1',	'296' => 'shower1',		'299' => 'shower2',
'302' => 'shower2',	'305' => 'shower3',		'308' => 'shower3',		'311' => 'sleet',		'314' => 'sleet',	'317' => 'sleet',		'320' => 'sleet',
'323' => 'snow1',	'326' => 'snow1',		'329' => 'snow2',		'332' => 'snow3',		'335' => 'snow3',	'338' => 'snow4',		'350' => 'hail',
'353' => 'shower1',	'356' => 'shower2',		'359' => 'shower3',		'362' => 'sleet',		'365' => 'sleet',	'368' => 'snow1',		'371' => 'snow2',
'374' => 'hail',	'377' => 'hail',		'386' => 'tstorm1', 	'389' => 'tstorm2', 	'392' => 'snow1', 	'395' => 'snow2',
);
$arrLookupWU = array(
'chanceflurries'	=>'sleet',			'chancerain'		=>'shower1',			'chancesleet'	=>'sleet',		'chancesnow'	=>'snow1',			'chancetstorms'		=>'tstorm1',
'clear'				=>'sunny',			'cloudy' 			=>'cloudy5',			'flurries'		=>'sleet',		'fog' 			=>'fog',			'hazy' 				=>'mist',
'mostlycloudy' 		=>'cloudy4',		'mostlysunny'		=>'cloudy1',
'nt_chanceflurries'	=>'sleet',			'nt_chancerain'		=>'shower1_night',		'nt_chancesleet'=>'sleet',		'nt_chancesnow'	=>'snow1_night',	'nt_chancetstorms'	=>'tstorm1_night',
'nt_clear'			=>'sunny_night',	'nt_cloudy '		=>'overcast',			'nt_flurries'	=>'sleet',		'nt_fog '		=>'fog_night',
'nt_hazy '			=>'mist_night',		'nt_mostlycloudy '	=>'cloudy4_night',		'nt_mostlysunny'=>'cloudy1_night',
'nt_partlycloudy'	=>'cloudy3_night', 	'nt_partlysunny '	=>'cloudy4_night',
'nt_rain'			=>'shower2_night', 	'nt_sleet'			=>'sleet',				'nt_snow'		=>'snow5',		'nt_sunny'		=>'sunny_night',	'nt_tstorms'		=>'shower1_night',
'partlycloudy'		=>'cloudy3',		'partlysunny'		=>'cloudy4',
'rain'				=>'shower2',		'sleet'				=>'sleet',				'snow'			=>'snow4',		'sunny'			=>'sunny',			'tstorms'			=>'tstorm2',
'unknown'			=>'dunno',			'nt_unknown'		=>'dunno',
);
$arrLookupYrno = array(
'01d'=>'sunny',			'01n'=>'sunny_night',		'02d'=>'cloudy1',	'02n'=>'cloudy1_night',	'03d'=>'cloudy3',		'03n'=>'cloudy3_night',
'04' =>'cloudy5',		'04d'=>'cloudy5',			'04n'=>'overcast',	'05d'=>'shower1',		'05n'=>'shower1_night',	'06d'=>'tstorm2',
'06n'=>'shower1_night',	'07d'=>'sleet',				'07n'=>'sleet',		'08d'=>'snow1',			'08n'=>'snow1_night',	'09' =>'shower2',
'09d'=>'shower2',		'09n'=>'shower2_night',		'10' =>'shower3',	'10d'=>'shower3',		'10n'=>'shower3',		'11' =>'tstorm2',
'11d'=>'tstorm2',		'11n'=>'tstorm2_night',		'12' =>'sleet',		'12d'=>'sleet',			'12n'=>'sleet',			'13' =>'snow4',
'13d'=>'snow4',			'13n'=>'snow5',				'14' =>'tstorm3',	'14d'=>'tstorm3',		'14n'=>'tstorm3',		'15' =>'fog',
'15d'=>'fog',			'15n'=>'fog_night',
);
$arrLookupWd = array(
0  => 'sunny',			1  => 'sunny_night',	2 => 'cloudy1',		3  => 'cloudy1',	4  => 'cloudy2_night',	5  => 'cloudy1',
6  => 'fog',			7  => 'fog',			8  => 'shower2',	9  => 'cloudy1',		10 => 'fog',
11 => 'fog_night',		12 => 'shower2_night',	13 => 'overcast',	14 => 'shower2_night',	15 => 'shower1_night',
16 => 'snow2_night',	17 => 'tstorm2_night',	18 => 'overcast',	19 => 'cloudy2',		20 => 'shower1',
21 => 'shower2',		22 => 'shower1',		23 => 'sleet',		24 => 'sleet',			25 => 'snow1',
26 => 'snow1',			27 => 'snow4',			28 => 'sunny',		29 => 'tstorm3',		30 => 'tstorm3',
31 => 'tstorm3',		32 => 'tstorm3',		33 => 'windy',		34 => 'cloudy1',		35 => 'shower1',
);
$arrLookupXX = array(
'000'  => 'sunny',
'000n' => 'sunny_night',	
'100'  => 'cloudy1',		'110'  => 'shower1',		'111'  => 'shower1',		'112'  => 'shower1',
'100n' => 'cloudy1_night',	'110n' => 'shower1_night',	'111n' => 'shower1_night',	'112n' => 'shower1_night',
'200'  => 'cloudy2',		'210'  => 'shower2',		'211'  => 'shower2',		'212'  => 'shower2',
'200n' => 'cloudy2_night',	'210n' => 'shower2_night',	'211n' => 'shower2_night',	'212n' => 'shower2_night',
'300'  => 'cloudy4',		'310'  => 'shower2',		'311'  => 'shower2',		'312'  => 'shower2',
'300n' => 'cloudy4_night',	'310n' => 'shower2_night',	'311n' => 'shower2_night',	'312n' => 'shower2_night',
'400'  => 'cloudy5',		'410'  => 'shower3',		'411'  => 'shower3',		'412'  => 'shower3',
'400n' => 'overcast',		'410n' => 'shower3',		'411n' => 'shower3',		'412n' => 'shower3',
							'120'  => 'snow1',			'121'  => 'snow1',			'122'  => 'snow2',
							'120n' => 'snow1_night',	'121n' => 'snow1_night',	'122n' => 'snow2_night',
							'220'  => 'snow2',			'221'  => 'snow2',			'222'  => 'snow3',
							'220n' => 'snow2_night',	'221n' => 'snow2_night',	'222n' => 'snow3_night',
							'320'  => 'snow3',			'321'  => 'snow3',			'322'  => 'snow4',
							'320n' => 'snow3_night',	'321n' => 'snow3_night',	'322n' => 'snow4',
							'420'  => 'snow4',			'421'  => 'snow4',			'422'  => 'snow4',
							'420n' => 'snow4',			'421n' => 'snow4',			'422n' => 'snow4',
							'130'  => 'sleet',			'131'  => 'sleet',			'132'  => 'sleet',
							'130n' => 'sleet',			'131n' => 'sleet',			'132n' => 'sleet',
							'230'  => 'sleet',			'231'  => 'sleet',			'232'  => 'sleet',
							'230n' => 'sleet',			'231n' => 'sleet',			'232n' => 'sleet',
							'330'  => 'sleet',			'331'  => 'sleet',			'332'  => 'sleet',
							'330n' => 'sleet',			'331n' => 'sleet',			'332n' => 'sleet',
							'430'  => 'sleet',			'431'  => 'sleet',			'432'  => 'sleet',
							'430n' => 'sleet',			'431n' => 'sleet',			'432n' => 'sleet',
							'140'  => 'tstorm1',		'141'  => 'tstorm1',		'142'  => 'tstorm1',
							'140n' => 'tstorm1_night',	'141n' => 'tstorm1_night',	'142n' => 'tstorm1_night',
							'240'  => 'tstorm2',		'241'  => 'tstorm2',		'242'  => 'tstorm2',
							'240n' => 'tstorm2_night',	'241n' => 'tstorm2_night',	'242n' => 'tstorm2_night',
							'340'  => 'tstorm2',		'341'  => 'tstorm2',		'342'  => 'tstorm2',
							'340n' => 'tstorm3',		'341n' => 'tstorm3',		'342n' => 'tstorm3',
							'440'  => 'tstorm3',		'441'  => 'tstorm3',		'442'  => 'tstorm3',
							'440n' => 'tstorm3',		'441n' => 'tstorm3',		'442n' => 'tstorm3',
							'150'  => 'mist',			'151'  => 'mist',			'152'  => 'fog',
							'150n' => 'mist_night',		'151n' => 'mist_night',		'152n' => 'fog_night',
							'250'  => 'mist',			'251'  => 'mist_night',		'252'  => 'fog',
							'250n' => 'mist_night',		'251n' => 'mist_night',		'252n' => 'fog_night',
							'350'  => 'mist',			'351'  => 'fog',			'352'  => 'fog',
							'350n' => 'mist_night',		'351n' => 'fog_night',		'352n' => 'fog_night',
							'450'  => 'mist',			'451'  => 'fog',			'452'  => 'fog',
							'450n' => 'mist_night',		'451n' => 'fog_night',		'452n' => 'fog_night',
);
function wsChangeIcon ($provider,$iconIn, &$iconOut, $iconUrlIn, &$iconUrlOut, &$headerClass) {
	global $arrLookupYA, $SITE, $arrHeaderWeather, $arrLookupXX, $arrLookupYrno, $arrLookupWU, $arrLookupWorld, $arrLookupHwa, $arrLookupNoaa, $arrLookupWd;
	if 		($provider == 'wu') 	{ $iconOwn = $arrLookupWU[$iconIn];}
	elseif  ($provider == 'yrno') 	{ $iconOwn = $arrLookupYrno[$iconIn];}
	elseif  ($provider == 'yahoo') 	{ $iconOwn = $arrLookupYA[$iconIn];}
	elseif  ($provider == 'world') 	{ $iconOwn = $arrLookupWorld[$iconIn];}
	elseif  ($provider == 'hwa') 	{ $iconOwn = $arrLookupHwa[$iconIn];}
	elseif  ($provider == 'wd') 	{ $iconOwn = $arrLookupWd[$iconIn];}
	elseif  ($provider == 'xx') 	{ 
		if ( isset ($arrLookupXX[$iconIn]) )   {$iconOwn = $arrLookupXX[$iconIn];}   else {$iconOwn = 'dunno';}
		}
	elseif  ($provider == 'noaa') 	{ 
		if ( isset ($arrLookupNoaa[$iconIn]) ) {$iconOwn = $arrLookupNoaa[$iconIn];} else {$iconOwn = 'dunno';}		
		}
	else { $iconOwn = 'dunno';}
	if (isset ($arrHeaderWeather[$iconOwn]) ) {
		$headerClass	= $arrHeaderWeather[$iconOwn];
	} else {
		$headerClass	= 'dunno';
	}

	$headerClass	= $arrHeaderWeather[$iconOwn];
	$iconUrlOut		= $iconUrlIn;
	$iconOut		= $iconIn;
	if 		($provider == 'wu') 	{
		if ((isset($SITE['wuIconsCache'])) 	&& ($SITE['wuIconsCache']	== true))	{$iconUrlOut=$SITE['wuIconsDir'].$iconIn.'.gif';}
		if ((isset($SITE['wuIconsOwn'])) 	&& ($SITE['wuIconsOwn'] 	== false))	{$iconOut = $iconOwn; $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';}
//		echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		return;
	}
	if 		($provider == 'yrno') 	{
		if ((isset($SITE['yrnoIconsOwn'])) 	&& ($SITE['yrnoIconsOwn'] 	== false))	
				{$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png" width="43px';}
		  else	{$iconUrlOut=$SITE['yrnoIconsDir'].$iconOut.'.png"';}
//		echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		return;
	}
	if 		($provider == 'yahoo') 	{
		if (isset($SITE['yahooIconsOwn']) 	&& $SITE['yahooIconsOwn'] 	== false)	{$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';}
		echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		return;
	}
	if 		($provider == 'world') 	{
		if (isset($SITE['worldIconsOwn']) 	&& $SITE['worldIconsOwn'] 	== false)	{$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png" width="43px';}
//		echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		return;
	}
	if 		($provider == 'hwa') 	{
		if (isset($SITE['hwaIconsOwn']) 	&& $SITE['hwaIconsOwn'] 	== false)	{$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';}
//		echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		return;
	}
	if 		($provider == 'noaa') 	{
		$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';
		if ($iconOwn == 'dunno') {
			echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		}
		return;
	}
	if 		($provider == 'wd') 	{
		$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';
		if ($iconOwn == 'dunno') {
			echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		}
		return;
	}
	if 		($provider == 'xx') 	{
		$iconOut = $iconOwn;  $iconUrlOut=$SITE['ownIconsDir'].$iconOwn.'.png';
		if ($iconOwn == 'dunno') {
			echo "<!-- $provider  -  $iconIn  -  $iconOut  -  $iconUrlIn  -  $iconUrlOut  -  $headerClass     -->".PHP_EOL;
		}
		return;
	}
	
	
}
?>